System.Web 2.0.0.0 System.Object System.Collections.ICollection

A object contains objects that represent user profiles from a data source. A is returned from the , , , and methods of a .

A can be supplied to the method to delete profile information and properties from the data source.

A collection of objects.

- Constructor

  A is constructed by profile provider implementers and returned from the , , , and methods of the abstract class.

  Creates a new, empty .

  2.0.0.0
- Method
  System.Void ``

  The method is commonly used by profile-provider implementers to populate a to return from the , , , or method of the abstract class.

  Adds the specified object to the collection.

  A object to add to the collection. 2.0.0.0
- Method
  System.Void To be added.

  Removes all objects from the collection.

  2.0.0.0
- Method
  System.Void `` ``

  This method uses to copy objects to the specified .

  Copies the to a one-dimensional array.

  A one-dimensional that is the destination of the elements copied from the . The must have zero-based indexing. The zero-based index in array at which copying begins. 2.0.0.0
- Method
  System.Void `` ``

  This method uses to copy objects to the specified array.

  Copies the to a one-dimensional array of type .

  A one-dimensional array of type that is the destination of the elements copied from the . The array must have zero-based indexing. The zero-based index in the at which copying begins. 2.0.0.0
- Property
  System.Int32 To be added. To be added.

  Gets the number of objects in the collection.

  2.0.0.0
- Method
  System.Collections.IEnumerator

  Enumerators only allow reading the data in the collection. Enumerators cannot be used to modify the underlying collection. For more information, see .

  Gets an enumerator that can iterate through the .

  An for the entire .

  2.0.0.0
- Property
  System.Boolean To be added.

  Application code does not normally use this property.

  Gets a value indicating whether the profile info collection is thread safe.

  2.0.0.0
- Property
  System.Web.Profile.ProfileInfo `` To be added. To be added. To be added. To be added. 2.0.0.0
- Method
  System.Void `` To be added.

  Removes the object with the specified user name from the collection.

  The of the object to remove from the collection. 2.0.0.0
- Method
  System.Void

  The method marks the as read-only so that objects cannot be added to or removed from the collection. After calling the method, you cannot change the back to read/write.

  Makes the contents of the read-only.

  2.0.0.0
- Property
  System.Object To be added.

  Application code does not normally use this property.

  Gets the synchronization root.

  2.0.0.0